<?xml version="1.0" encoding="UTF-8"?>

<!--
    Path of Chaos - progression.xml

    Groups:
        firearms
        weapons
        tools
        clothing
        scavenging
        health
        crafting

    @since       1.0.0
-->

<PathofChaos>
    <!-- Add Shocking ammo recipes to Electrician -->
    <csv
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingElectrician']/display_entry[@unlock_level='25']/unlock_entry/@item"
        delim="," op="add">ammoArrowShocking</csv>
    <csv
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingElectrician']/display_entry[@unlock_level='25']/unlock_entry/@item"
        delim="," op="add">ammoCrossbowBoltShocking</csv>
    <csv
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingElectrician']/display_entry[@unlock_level='25']/unlock_entry/@item"
        delim="," op="add">ammoShotgunShockingSlug</csv>
    <csv
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingElectrician']/display_entry[@unlock_level='25']/unlock_entry/@item"
        delim="," op="add">ammoBundleArrowShocking</csv>
    <csv
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingElectrician']/display_entry[@unlock_level='25']/unlock_entry/@item"
        delim="," op="add">ammoBundleCrossbowBoltShocking</csv>
    <csv
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingElectrician']/display_entry[@unlock_level='25']/unlock_entry/@item"
        delim="," op="add">ammoBundleShotgunShockingSlug</csv>

    <append
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingElectrician']/effect_group">
        <passive_effect name="RecipeTagUnlocked" operation="base_set" level="25,100" value="1"
            tags="ammoArrowShocking,ammoCrossbowBoltShocking,ammoShotgunShockingSlug,ammoBundleArrowShocking,ammoBundleCrossbowBoltShocking,ammoBundleShotgunShockingSlug" />
    </append>

    <!-- Add Spectra fiber -->
    <insertAfter
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingArmor']/display_entry[@icon='armorRaiderHelmet']">
        <display_entry icon="resourceSpectraFiber" name_key="armorT3" has_quality="true"
            unlock_level="39,48,57,66,75">
            <unlock_entry item="resourceSpectraFiber" unlock_tier="1"
                recipes="resourceSpectraFiber" />
        </display_entry>
    </insertAfter>
    <csv
        xpath="/progression/crafting_skills/crafting_skill[@name='craftingArmor']/effect_group/passive_effect[@level='20,40,60,80,100']/@tags"
        delim="," op="add">resourceSpectraFiber</csv>
</PathofChaos>
